/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body */
body {
    font-family: 'Inter', sans-serif;
    color: #000000;
}

/*Header */
.page-header {
    display: flex;
    justify-content: center;
    padding: 28px 0;
    background: #000000;
}

.header-logo {
    display: block;
}

/* Main Geral*/
.main-banner {
    width: 100%;
}

/*Top Infocard*/
.top-infocard {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    padding: 66px 0 186px;
}

.top-infocard-text {
    margin: 0 0 66px;
    max-width: 766px;
}

.top-infocard-subtitle { 
    text-transform: uppercase;    
    font-size: 32px;
    font-weight: 400;    
}

.top-infocard-title {
    margin-bottom: 24px;
    text-transform: uppercase;    
    font-size: 48px;
    font-weight: 500;
}

.top-infocard-description {    
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}

/*Top Cards*/
.top-cards {
    display: grid;
    padding: 0 0 87px;
    grid-template-columns: repeat(3, max-content);
    gap: 20px;
    justify-content: center;
    background: #FFFFFF;
}

.top-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 26px 26px 34px;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.top-card-image {
    display: block;
    margin-bottom: 26px;
}

.top-card-description {
    max-width: 300px;
    text-align: center;
    line-height: 24px;
    font-size: 16px;
}

/*Banner do Meio*/
.middle-banners { 
    width: 100%;   
    background: #E0E0E0;  
}

.middle-banner-wrapper {     
    display: flex;
    flex-direction: row;      
    justify-content: center;    
    position: relative;
    bottom: -60px;
    gap: 32px;
    padding: 0 94px 0px;               
}

.middle-banner-desktop {
    max-width: 100%;    
}

/*Cards de Baixo*/ 

.bottom-cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
    justify-content: center;
    background: #FFFFFF;
    padding: 138px 72px 0;
}

.bottom-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 26px 26px 34px;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.bottom-card-image {
    display: block;
    margin-bottom: 26px;
}

.bottom-card-description {
    max-width: 300px;
    text-align: center;
    line-height: 24px;
    font-size: 16px;
}

/* Infocard de Baixo*/ 

.bottom-infocard {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    padding: 138px 260px 104px;
}

.bottom-infocard-text {
    margin: 0 0 32px;
    max-width: 550px;
}

.bottom-infocard-title {
    line-height: 20px;
    font-size: 32px;
    font-weight: 600;
    margin-bottom: 32px;
}

.bottom-infocard-description {
    line-height: 24px;
    font-size: 16px;
    font-weight: 400;
}

/*Rodapé*/

.page-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 38px 0;
    background: #000000;
}

.footer-icons {
    display: flex;
    list-style: none;
    margin-bottom: 16px;
}

.footer-icon {
    margin: 0 8px;
}

.footer-text {    
    text-transform: uppercase;
    line-height: 12px;
    font-size: 10px;
    color: #BDBDBD;
}



/* Responsividade */
@media screen and (max-width: 414px) {
    .main-banner-desktop {
        display: none;
    }   
       
}

@media screen and (min-width: 415px) {
    .main-banner-mobile {
        display: none;
    }     
}
 
@media screen and (max-width: 768px) {
    .top-cards {
        grid-template-columns: 1fr;
        padding: 160px 32px 0;
    }    
    
    .bottom-cards {
        grid-template-columns: 1fr;
        padding: 160px 26px 0;
    }                

    .bottom-infocard {
        display: flex;
        flex-direction: column;
        align-content: center;
        text-align: center;
        justify-content: center;
        padding: 0 32px;
    }

    .bottom-infocard-text {
        order: 2;
    }

    .bottom-infocard-image {
        order: 1;
    }

    .bottom-infocard-desktop {
        display: none;
    }

    .footer-text {
        max-width: 280px;
        text-align: center;
    }
}

@media screen and (min-width: 769px) {
    .bottom-infocard-mobile {
        display: none;
    }    
}

@media screen and (max-width: 992px) {
    
    .top-infocard {
        padding: 84px 28px 80px;
    }

    .top-infocard-text {
        margin: 0 0 68px;
    }

    .top-infocard-subtitle {
        font-size: 20px;
    }

    .top-infocard-title {
        margin-bottom: 20px;
        font-size: 28px;
    }

    .top-infocard-description {
        width: 100%;
        text-align: center;
    }

    .top-infocard-image {
        max-width: 240px;
    }
    
    .middle-banner-desktop {
        display: none;
    }

    .middle-banner-wrapper {
        max-width: 100%;
        display: flex;
        flex-direction: column;           
        align-items: center;
        justify-content: center;
        position: relative;     
        
    }
    
    .middle-banner-image {
        display: flex;
        align-items: center;
        flex-direction: row;        
        justify-content: center;
        
    }   
    
   .middle-image-up {  
        gap: 14px;
        margin-bottom: -50px;               
    }  

    .bottom-infocard {
        display: flex;
        padding: 80px 0 80px;
    }
    
    .bottom-infocard-title {
        font-size: 24px;
        line-height: 20px;
    } 
    
    .bottom-infocard-description {
        width: 100%;
        text-align: center;
        padding: 0 32px 0;
    }
    
    .bottom-infocard-mobile { 
        padding: 0 0 50px;       
        width: 100%;               
    }    
}

@media screen and (min-width: 993px) {
    .middle-banner-mobile {
        display: none;
    }
}

@media screen and (min-width: 769px) and (max-width: 1200px) {
    .top-cards,
    .bottom-cards {
        grid-template-columns: repeat(2, max-content);
    } 
    
    .bottom-infocard-desktop {
        display: flex;
        width: 85%;
    }     
    
}

